{********************************************************************************}
{ Ajedrez 1.0 - Juego del ajedrez bajo ms-dos.                                   }
{ Copyright (C) 2005  Gorka Surez Garca                                        }
{                                                                                }
{ Ajedrez.pas is part of "Ajedrez".                                              }
{                                                                                }
{ "Ajedrez" is free software; you can redistribute it and/or                     }
{ modify it under the terms of the GNU General Public License                    }
{ as published by the Free Software Foundation; either version 2                 }
{ of the License, or (at your option) any later version.                         }
{                                                                                }
{ "Ajedrez" is distributed in the hope that it will be useful,                   }
{ but WITHOUT ANY WARRANTY; without even the implied warranty of                 }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                  }
{ GNU General Public License for more details.                                   }
{                                                                                }
{ You should have received a copy of the GNU General Public License              }
{ along with "Ajedrez"; if not, write to the Free Software                       }
{ Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.    }
{********************************************************************************}
program Ajedrez;
uses Lesslib, Nucleo, Pintado, Logica, crt;
{********************************************************************************}
{ Variable globales del juego.                                                   }
{********************************************************************************}
var
   g_Nucleo: tNucleo;

{********************************************************************************}
{ Bucle principal del juego y funcin main.                                      }
{                                                                                }
{ procedure BucleJuego (var Nucleo: tNucleo);                                    }
{ void main (void); /* Viva C/C++ */                                             }
{                                                                                }
{********************************************************************************}

{********************************************************************************}
{ Bucle principal del juego.                                                     }
{********************************************************************************}
procedure BucleJuego (var Nucleo: tNucleo);
begin
   while Nucleo.Juego.Estado <> EST_FIN do
    begin
      PintarPantalla(Nucleo);
      EjecutarLogica(Nucleo);
    end;
end;

{********************************************************************************}
{ Funcin main.                                                                  }
{********************************************************************************}
begin
   if InitJuego(g_Nucleo) then
    begin
      BucleJuego(g_Nucleo);
      FinJuego(g_Nucleo);
    end
end.

{********************************************************************************}
{ Fin Ajedrez.pas                                                                }
{********************************************************************************}